Subject: Re: [bug#35866] [PATCH] gnu: qtwebengine: Do not use 3rd party libraries.

From: Marius Bakke <[email-masked]>
Date: Fri, 31 May 2019 21:28:28 +0200

Hi Mike,

Mike Rosset <[email-masked]> writes:

> Most in tree third party libraries are now linked to Guix libraries.  There
> are a few Guix libraries that break the build or are not automatically
> detected these are now documented in the input expression.
>
> gnu: qtwebengine: PDF and printing support is now disabled.
>
> PDF and printing requires pepper plugins. which is not enabled.

Thank you very much for this work.  I have looked into QtWebEngine
before and do think they are doing "the right thing" (apart from using
Blink in the first place) wrt binaries and spyware.

The patch LGTM overall, but I would like to see the unused "third_party"
directories removed if possible.  You might be able to reuse much of
this snippet:

<https://gitlab.com/mbakke/guix-chromium/blob/master/chromium/chromium.scm#L52>

Can you give it a try?